#include <bits/stdc++.h>
using namespace std;
int brojnovcanica(int a)
{
    int brojn=0;
    if(a >= 5) {
        a -= 5;
        brojn++;
    }
    while(a >= 2){
        a -= 2;
        brojn++;
    }
    if(a == 1)
        brojn++;

 return brojn;
}


int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    
    long long broj;
    int zbir = 0;
    cin >> broj;

    while(broj){
        zbir += brojnovcanica(broj%10);
        broj /= 10;
    }

cout << zbir;

return 0;
}